# CREATURE_WORLD_BUILDER_LITE

"Creature World Builder Lite" is an offline strategy RPG on command line interface inspired by 
"Dragon City" (https://play.google.com/store/apps/details?id=es.socialpoint.DragonCity&hl=en_NZ&gl=US) and 
"Monster Legends" (https://play.google.com/store/apps/details?id=es.socialpoint.MonsterLegends&hl=en_NZ&gl=US). This 
game allows the player to build his/her own creature world and raise legendary creatures to be brought to battles.

# Executable File

The executable file is downloadable at 
https://github.com/DigitalCreativeApkDev/CREATURE_WORLD_BUILDER_LITE/blob/master/CREATURE_WORLD_BUILDER_LITE/dist/creature_world_builder_lite/creature_world_builder_lite.

# Source Code

Python code used to create the game is available in 
https://github.com/DigitalCreativeApkDev/CREATURE_WORLD_BUILDER_LITE/blob/master/CREATURE_WORLD_BUILDER_LITE/creature_world_builder_lite.py.s

# Installation

Enter the command "pip install CREATURE_WORLD_BUILDER_LITE".

# Unit Tests

Python unit tests created using Python's "unittest" module, testing basic functionalities of the game is available in
https://github.com/DigitalCreativeApkDev/CREATURE_WORLD_BUILDER_LITE/blob/master/CREATURE_WORLD_BUILDER_LITE/creature_world_builder_lite_tests.py.

# How to Use the Executable File?

First, open by double-clicking the file "creature_world_builder_lite". How the executable file looks like is shown in 
the image below (the file is enclosed with a red rectangle).

## Image 1

![Executable File](images/Executable%20File.png)

# Getting Started

After you run the game, you will be asked to enter your name. If a saved game data with your name exists, that 
saved game data will be loaded. Else, you will be told to create a new saved game data using your name.

## Image 2

![Getting Started](images/Getting%20Started.png)

# Main Menu

Once you either loaded existing save game data or created new game data, you will be asked whether you want to continue 
playing the game "Creature World Builder Lite" or not. If you enter "Y", you will be able to do various activities
(e.g., battling against enemies in adventure mode, managing your creature world, purchasing items, placing eggs, 
etc) in the game. The activity you want to do can be chosen by entering an input as instructed in the command 
line interface (see "Image 4").

## Image 3

![Main Menu](images/Main%20Menu.png)

## Image 4

![Game Menu](images/Game%20Menu.png)

# The Game

In the game, you will be able to do any of the actions as shown in "Image 4". The actions are described as below.

* <b>PLAY ADVENTURE MODE</b> -> play in levels you have unlocked. The more levels you cleared, the higher the number
of levels you can play in.
* <b>MANAGE CREATURE WORLD</b> -> build, level up, and remove buildings in your creature world. Trees can be built
for decorations; obstacles can be removed; and buildings used to produce resources (e.g., gold mine, food farm, and 
gem mine), increase legendary creatures' EXP (e.g., training area), increase gold production rate of legendary creatures
(e.g., habitat), and so forth can be built.
* <b><MANAGE BATTLE TEAM</b> -> add or remove legendary creatures from your team.
* <b>MANAGE LEGENDARY CREATURE INVENTORY</b> -> this allows you to remove unused legendary creatures.
* <b>MANAGE ITEM INVENTORY</b> -> sell items and/or level up runes in your item inventory.
* <b>FUSE LEGENDARY CREATURES</b> -> combine legendary creatures into a stronger one by using the fusion center.
* <b>PLACE EGG</b> -> place an egg in the hatchery so that it gets hatched to produce a new legendary creature.
* <b>FEED LEGENDARY CREATURE</b> -> feed a legendary creature to increase its EXP or even level it up.
* <b>GIVE ITEM</b> -> give an item to a legendary creature to strengthen it.
* <b>POWER UP LEGENDARY CREATURE</b> -> use some legendary creatures as materials to increase the EXP.
* <b>EVOLVE LEGENDARY CREATURE</b> -> increase the rating of a legendary creature if its rating is still below maximum.
* <b>MANAGE HABITAT</b> -> add or remove legendary creatures from a habitat in your creature world.
* <b>MANAGE TRAINING AREA</b> -> add or remove legendary creatures from a training area in your creature world.
* <b>PLACE RUNE</b> -> place a rune in a legendary creature to strengthen it.
* <b>REMOVE RUNE</b> -> remove a rune from a legendary creature that you have.
* <b>BUY ITEM</b> -> purchase an item from the item shop.
* <b>VIEW STATS</b> -> view your stats in the game (i.e., your level, EXP, amount of EXP you need in order to 
reach the next level, and so forth).
